Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class ISOResourceConfig

`java.lang.Object
oracle.ovs.api.datamodel.ISOResourceConfig`

All Implemented Interfaces:
  java.io.Serializable

Deprecated. replaced by `ISOResourceConfig`

      public class ISOResourceConfig

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ISOResourceConfig()` Deprecated.
`ISOResourceConfig(DiscoveredISO di, java.lang.String Comments)` Deprecated.
`ISOResourceConfig(java.lang.Long serverPoolId, java.lang.String ISOGroup, java.lang.String ISOName, java.lang.String Comments, java.lang.String Bootable)` Deprecated.

Method Summary
`java.lang.String` | `getBootable()` Deprecated.
`java.lang.String` | `getComments()` Deprecated.
`java.lang.String` | `getISOFileName()` Deprecated.
`java.lang.String` | `getISOGroup()` Deprecated.
`java.lang.String` | `getISOName()` Deprecated.
`java.lang.Long` | `getServerPoolId()` Deprecated.
`void` | `setBootable(java.lang.String Bootable)` Deprecated.
`void` | `setComments(java.lang.String Comments)` Deprecated.
`void` | `setISOFileName(java.lang.String ISOFileName)` Deprecated.
`void` | `setISOGroup(java.lang.String ISOGroup)` Deprecated.
`void` | `setISOName(java.lang.String ISOName)` Deprecated.
`void` | `setServerPoolId(java.lang.Long serverPoolId)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISOResourceConfig

    public ISOResourceConfig()

  Deprecated.

### ISOResourceConfig

    public ISOResourceConfig(java.lang.Long serverPoolId,
                             java.lang.String ISOGroup,
                             java.lang.String ISOName,
                             java.lang.String Comments,
                             java.lang.String Bootable)

  Deprecated.

### ISOResourceConfig

    public ISOResourceConfig(DiscoveredISO di,
                             java.lang.String Comments)

  Deprecated.

Method Detail

### getServerPoolId

    public java.lang.Long getServerPoolId()

  Deprecated.

### setServerPoolId

    public void setServerPoolId(java.lang.Long serverPoolId)

  Deprecated.

### getISOName

    public java.lang.String getISOName()

  Deprecated.

### setISOName

    public void setISOName(java.lang.String ISOName)

  Deprecated.

### getISOGroup

    public java.lang.String getISOGroup()

  Deprecated.

### setISOGroup

    public void setISOGroup(java.lang.String ISOGroup)

  Deprecated.

### getISOFileName

    public java.lang.String getISOFileName()

  Deprecated.

### setISOFileName

    public void setISOFileName(java.lang.String ISOFileName)

  Deprecated.

### getComments

    public java.lang.String getComments()

  Deprecated.

### setComments

    public void setComments(java.lang.String Comments)

  Deprecated.

### getBootable

    public java.lang.String getBootable()

  Deprecated.

### setBootable

    public void setBootable(java.lang.String Bootable)

  Deprecated.

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.